
var templateHtml

$.get('./_assets/scripts/tickets-template.html')
    .then(function(html) {
        templateHtml = html
        return $.getJSON('https://start.tidycms.site/api/proxy/44de7162-d2d8-47ca-b255-59d1b315407f/tiketti/329825552')
    })
    .then(function(data) {
        window.tickets = new Vue({
            el: '#tickets',
            template: templateHtml,
            data: function() {
                return {
                    products: _.map(_.get(data, 'products[0].sections'), function(item) {
                        return {
                            name: item.section_name,
                            ticket: item.tickets[0],
                            indicator: item.tickets_indicator,
                            amount: 0,
                        }
                    })
                }
            },
            computed: {
              
              orderValid() {
                  var me = this
                  return !!_.find(me.products, 'amount')
              },
              
              totalPrice() {
                  var me = this
                  var products = _.filter(me.products, 'amount')
                  var total = 0.00
                  _.each(products, function(product) {
                      console.log('product', product)
                      total += product.amount * product.ticket.price
                  })
                  return total
              },
                
            },
            methods: {
                
                priceString(sum) {
                    return sum.toFixed(2)
                },
                
                openTiketti() {
                  var me = this
                  if (!me.orderValid) {
                      return false
                  }
                  
                  var tikettiUrl = 'http://www.tiketti.fi/tilaa/aff?l=fi&a=&r=' + Math.round(Math.random()*10000000)
                  var products = _.filter(me.products, 'amount')
                  _.each(products, function(product) {
                      tikettiUrl += '&t[]=' + product.ticket.sales_key + '-' + product.amount
                  })
                  
                  console.log('openTiketti', tikettiUrl)
                  
                  window.open(tikettiUrl, 'tiketti')
                },
                
            },
        })
    })
    .fail(function(err) {
        console.log("tickets error", err)
    })

